import java.util.Scanner;
public class Vector{

 private double x = 0.0;
 private double y = 0.0;
 private static Scanner teclado = new Scanner(System.in);

 public boolean leer()
 {
  System.out.print("x : ");
  x = teclado.nextDouble();
  System.out.print("y : ");
  y = teclado.nextDouble();
  
  if ( x == 0.0 && y==0.0 ) {return false;}
  }
 public String toString()
 {
  return "x " + x + ", " + y;
 }
 
 public Vector sumar(Vector otra)
   {
      Vector resultado = new Vector();
      resultado.x = x + otra.x;
      resultado.y = y + otra.y;
      return resultado;
   }
 public Vector restar1(Vector otra)
   {
      Vector resultado = new Vector();
      resultado.x = x - otra.x;
      resultado.y = y - otra.y;
      return resultado;
   }
 public Vector restar2(Vector otra)
   {
      Vector resultado = new Vector();
      resultado.x =  otra.x- x;
      resultado.y =  otra.y- y;
      return resultado;
   }
 public Vector magnitud(Vector otra){
 Vector resultado= new Vector();
 resultado.m= (x + x.otra)ˆ2 + (y + y.otra)ˆ2;
 
 }

 }





